dcl_settings : default_dcl_settings { audit_level = 3 ; }
//
//
seltxt : dialog {
   initial_focus = "hgt" ;
   label = "Change Block Text" ;
   : column {
      children_fixed_width = true ;
      : row {
         children_fixed_width = true ;
         children_fixed_height = true ;
         : text {
            fixed_width = true ;
            label = "Height" ;
            width = 10 ;
         }
         : text_part {
            width = 23 ;
            label = "Block" ;
            fixed_width = true ;
         }
         : text_part {
            width = 23 ;
            label = "Style" ;
            fixed_width = true ;
         }
         : text_part {
            fixed_width = true ;
            label = "#Ents" ;
            width = 6 ;
         }
      }
      : row {
         : list_box {
            fixed_height = true ;
            key = "txtlist" ;
            multiple_select = true ;
            tabs = "10 33 55" ;
            width = 63 ;
         }
      }
   }
   : boxed_column {
      label = "Change Text Parameters:" ;
      : radio_row {
         key = "how" ;
         : radio_button {
            label = "Change Text Size/Scale" ;
            key = "chgsz" ;
         }
         : radio_button {
            label = "Change Text Style" ;
            key = "chgstyl" ;
         }
         : spacer {
            width = 10 ;
            fixed_width = true ;
         }
      }
      : boxed_row {
         key = "txtprop" ;
         label = "Text Height/Scale:" ;
         : edit_box {
            allow_accept = true ;
            edit_width = 6 ;
            fixed_width = true ;
            key = "nheight" ;
            width = 6 ;
         }
         : radio_row {
            key = "what" ;
            : radio_button {
               label = "Re-Size Text" ;
               key = "act" ;
            }
            : radio_button {
               label = "Re-Scale Text" ;
               key = "sf" ;
            }
         }
         : text {
            fixed_width = true ;
            width = 15 ;
         }
      }
      : boxed_column {
         key = "stylprop" ;
         label = "Text Style (Name, Def. Hght, Angle, Font):" ;
         : popup_list {
            key = "txtstyl" ;
         }
         : toggle {
            key = "takehght" ;
            label = "Entities Take on Style Height" ;
         }
      }
   }
   : text {
      width = 60 ;
      key = "msg" ;
      fixed_width = true ;
   }
   spacer_1 ;
   ok_cancel ;
}

rusure : dialog {
   label = "Continue" ;
   : spacer {
      fixed_height = true ;
      height = 1 ;
   }
   : column {
      children_alignment = centered ;
      alignment = centered ;
      : row {
         alignment = centered ;
         children_fixed_width = true ;
         fixed_width = true ;
         width = 30 ;
         : text {
            label = "Are you sure you want to continue?" ;
         }
      }
      : spacer {
         fixed_height = true ;
         height = 1 ;
      }
      : toggle {
         label = "Return to CHTXT after completing" ;
         key = "return" ;
         alignment = centered ;
      }
      : toggle {
         key = "regen" ;
         label = "Perform REGEN after completing" ;
      }
   }
   : spacer {
      fixed_height = true ;
      height = 1 ;
   }
   ok_cancel ;
}
